## linux-linaro-s5pv310 2.6.38-1000.1

=== arch/arm/Makefile ===
#
# arch/arm/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies.
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 1995-2001 by Russell King

LDFLAGS_vmlinux	:=-p --no-undefined -X
ifeq ($(CONFIG_CPU_ENDIAN_BE8),y)
LDFLAGS_vmlinux	+= --be8
endif

OBJCOPYFLAGS	:=-O binary -R .comment -S
GZFLAGS		:=-9
#KBUILD_CFLAGS	+=-pipe
# Explicitly specifiy 32-bit ARM ISA since toolchain default can be -mthumb:
KBUILD_CFLAGS	+=$(call cc-option,-marm,)

# Never generate .eh_frame
KBUILD_CFLAGS	+= $(call cc-option,-fno-dwarf2-cfi-asm)

# Do not use arch/arm/defconfig - it's always outdated.
# Select a platform tht is kept up-to-date
KBUILD_DEFCONFIG := versatile_defconfig

# defines filename extension depending memory management type.
ifeq ($(CONFIG_MMU),)
MMUEXT		:= -nommu
endif

ifeq ($(CONFIG_FRAME_POINTER),y)
KBUILD_CFLAGS	+=-fno-omit-frame-pointer -mapcs -mno-sched-prolog
endif

ifeq ($(CONFIG_CC_STACKPROTECTOR),y)
KBUILD_CFLAGS	+=-fstack-protector
endif

ifeq ($(CONFIG_CPU_BIG_ENDIAN),y)
KBUILD_CPPFLAGS	+= -mbig-endian
AS		+= -EB
LD		+= -EB
else
KBUILD_CPPFLAGS	+= -mlittle-endian
AS		+= -EL
LD		+= -EL
endif

comma = ,

# This selects which instruction set is used.
# Note that GCC does not numerically define an architecture version
# macro, but instead defines a whole series of macros which makes
# testing for a specific architecture or later rather impossible.
arch-$(CONFIG_CPU_32v7)		:=-D__LINUX_ARM_ARCH__=7 $(call cc-option,-march=armv7-a,-march=armv5t -Wa$(comma)-march=armv7-a)
arch-$(CONFIG_CPU_32v6)		:=-D__LINUX_ARM_ARCH__=6 $(call cc-option,-march=armv6,-march=armv5t -Wa$(comma)-march=armv6)
# Only override the compiler option if ARMv6. The ARMv6K extensions are
# always available in ARMv7
ifeq ($(CONFIG_CPU_32v6),y)
arch-$(CONFIG_CPU_32v6K)	:=-D__LINUX_ARM_ARCH__=6 $(call cc-option,-march=armv6k,-march=armv5t -Wa$(comma)-march=armv6k)
endif
arch-$(CONFIG_CPU_32v5)		:=-D__LINUX_ARM_ARCH__=5 $(call cc-option,-march=armv5te,-march=armv4t)
arch-$(CONFIG_CPU_32v4T)	:=-D__LINUX_ARM_ARCH__=4 -march=armv4t
arch-$(CONFIG_CPU_32v4)		:=-D__LINUX_ARM_ARCH__=4 -march=armv4
arch-$(CONFIG_CPU_32v3)		:=-D__LINUX_ARM_ARCH__=3 -march=armv3

# This selects how we optimise for the processor.
tune-$(CONFIG_CPU_ARM610)	:=-mtune=arm610
tune-$(CONFIG_CPU_ARM710)	:=-mtune=arm710
tune-$(CONFIG_CPU_ARM7TDMI)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM720T)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM740T)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM9TDMI)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM940T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM946E)	:=$(call cc-option,-mtune=arm9e,-mtune=arm9tdmi)
tune-$(CONFIG_CPU_ARM920T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM922T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM925T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM926T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_FA526)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_SA110)	:=-mtune=strongarm110
tune-$(CONFIG_CPU_SA1100)	:=-mtune=strongarm1100
tune-$(CONFIG_CPU_XSCALE)	:=$(call cc-option,-mtune=xscale,-mtune=strongarm110) -Wa,-mcpu=xscale
tune-$(CONFIG_CPU_XSC3)		:=$(call cc-option,-mtune=xscale,-mtune=strongarm110) -Wa,-mcpu=xscale
tune-$(CONFIG_CPU_FEROCEON)	:=$(call cc-option,-mtune=marvell-f,-mtune=xscale)
tune-$(CONFIG_CPU_V6)		:=$(call cc-option,-mtune=arm1136j-s,-mtune=strongarm)
tune-$(CONFIG_CPU_V6K)		:=$(call cc-option,-mtune=arm1136j-s,-mtune=strongarm)

ifeq ($(CONFIG_AEABI),y)
CFLAGS_ABI	:=-mabi=aapcs-linux -mno-thumb-interwork
else
CFLAGS_ABI	:=$(call cc-option,-mapcs-32,-mabi=apcs-gnu) $(call cc-option,-mno-thumb-interwork,)
endif

ifeq ($(CONFIG_ARM_UNWIND),y)
CFLAGS_ABI	+=-funwind-tables
endif

ifeq ($(CONFIG_THUMB2_KERNEL),y)
AFLAGS_AUTOIT	:=$(call as-option,-Wa$(comma)-mimplicit-it=always,-Wa$(comma)-mauto-it)
AFLAGS_NOWARN	:=$(call as-option,-Wa$(comma)-mno-warn-deprecated,-Wa$(comma)-W)
CFLAGS_THUMB2	:=-mthumb $(AFLAGS_AUTOIT) $(AFLAGS_NOWARN)
AFLAGS_THUMB2	:=$(CFLAGS_THUMB2) -Wa$(comma)-mthumb
endif

# Need -Uarm for gcc < 3.x
KBUILD_CFLAGS	+=$(CFLAGS_ABI) $(CFLAGS_THUMB2) $(arch-y) $(tune-y) $(call cc-option,-mshort-load-bytes,$(call cc-option,-malignment-traps,)) -msoft-float -Uarm
KBUILD_AFLAGS	+=$(CFLAGS_ABI) $(AFLAGS_THUMB2) $(arch-y) $(tune-y) -include asm/unified.h -msoft-float

CHECKFLAGS	+= -D__arm__

#Default value
head-y		:= arch/arm/kernel/head$(MMUEXT).o arch/arm/kernel/init_task.o
textofs-y	:= 0x00008000
textofs-$(CONFIG_ARCH_CLPS711X) := 0x00028000
# We don't want the htc bootloader to corrupt kernel during resume
textofs-$(CONFIG_PM_H1940)      := 0x00108000
# SA1111 DMA bug: we don't want the kernel to live in precious DMA-able memory
ifeq ($(CONFIG_ARCH_SA1100),y)
textofs-$(CONFIG_SA1111) := 0x00208000
endif

# Machine directory name.  This list is sorted alphanumerically
# by CONFIG_* macro name.
machine-$(CONFIG_ARCH_AAEC2000)		:= aaec2000
machine-$(CONFIG_ARCH_AT91)		:= at91
machine-$(CONFIG_ARCH_BCMRING)		:= bcmring
machine-$(CONFIG_ARCH_CLPS711X)		:= clps711x
machine-$(CONFIG_ARCH_CNS3XXX)		:= cns3xxx
machine-$(CONFIG_ARCH_DAVINCI)		:= davinci
machine-$(CONFIG_ARCH_DOVE)		:= dove
machine-$(CONFIG_ARCH_EBSA110)		:= ebsa110
machine-$(CONFIG_ARCH_EP93XX)		:= ep93xx
machine-$(CONFIG_ARCH_GEMINI)		:= gemini
machine-$(CONFIG_ARCH_H720X)		:= h720x
machine-$(CONFIG_ARCH_INTEGRATOR)	:= integrator
machine-$(CONFIG_ARCH_IOP13XX)		:= iop13xx
machine-$(CONFIG_ARCH_IOP32X)		:= iop32x
machine-$(CONFIG_ARCH_IOP33X)		:= iop33x
machine-$(CONFIG_ARCH_IXP2000)		:= ixp2000
machine-$(CONFIG_ARCH_IXP23XX)		:= ixp23xx
machine-$(CONFIG_ARCH_IXP4XX)		:= ixp4xx
machine-$(CONFIG_ARCH_KIRKWOOD)		:= kirkwood
machine-$(CONFIG_ARCH_KS8695)		:= ks8695
machine-$(CONFIG_ARCH_LH7A40X)		:= lh7a40x
machine-$(CONFIG_ARCH_LOKI) 		:= loki
machine-$(CONFIG_ARCH_LPC32XX)		:= lpc32xx
machine-$(CONFIG_ARCH_MMP)		:= mmp
machine-$(CONFIG_ARCH_MSM)		:= msm
machine-$(CONFIG_ARCH_MV78XX0)		:= mv78xx0
machine-$(CONFIG_ARCH_MX1)		:= imx
machine-$(CONFIG_ARCH_MX2)		:= imx
machine-$(CONFIG_ARCH_MX25)		:= imx
machine-$(CONFIG_ARCH_MX3)		:= mx3
machine-$(CONFIG_ARCH_MX5)		:= mx5
machine-$(CONFIG_ARCH_MXC91231)		:= mxc91231
machine-$(CONFIG_ARCH_MXS)		:= mxs
machine-$(CONFIG_ARCH_NETX)		:= netx
machine-$(CONFIG_ARCH_NOMADIK)		:= nomadik
machine-$(CONFIG_ARCH_NS9XXX)		:= ns9xxx
machine-$(CONFIG_ARCH_OMAP1)		:= omap1
machine-$(CONFIG_ARCH_OMAP2)		:= omap2
machine-$(CONFIG_ARCH_OMAP3)		:= omap2
machine-$(CONFIG_ARCH_OMAP4)		:= omap2
machine-$(CONFIG_ARCH_ORION5X)		:= orion5x
machine-$(CONFIG_ARCH_PNX4008)		:= pnx4008
machine-$(CONFIG_ARCH_PXA)		:= pxa
machine-$(CONFIG_ARCH_REALVIEW)		:= realview
machine-$(CONFIG_ARCH_RPC)		:= rpc
machine-$(CONFIG_ARCH_S3C2410)		:= s3c2410 s3c2400 s3c2412 s3c2416 s3c2440 s3c2443
machine-$(CONFIG_ARCH_S3C24A0)		:= s3c24a0
machine-$(CONFIG_ARCH_S3C64XX)		:= s3c64xx
machine-$(CONFIG_ARCH_S5P64X0)		:= s5p64x0
machine-$(CONFIG_ARCH_S5P6442)		:= s5p6442
machine-$(CONFIG_ARCH_S5PC100)		:= s5pc100
machine-$(CONFIG_ARCH_S5PV210)		:= s5pv210
machine-$(CONFIG_ARCH_S5PV310)		:= s5pv310
machine-$(CONFIG_ARCH_SA1100)		:= sa1100
machine-$(CONFIG_ARCH_SHARK)		:= shark
machine-$(CONFIG_ARCH_SHMOBILE) 	:= shmobile
machine-$(CONFIG_ARCH_STMP378X)		:= stmp378x
machine-$(CONFIG_ARCH_STMP37XX)		:= stmp37xx
machine-$(CONFIG_ARCH_TCC8K)		:= tcc8k
machine-$(CONFIG_ARCH_TEGRA)		:= tegra
machine-$(CONFIG_ARCH_U300)		:= u300
machine-$(CONFIG_ARCH_U8500)		:= ux500
machine-$(CONFIG_ARCH_VERSATILE)	:= versatile
machine-$(CONFIG_ARCH_VEXPRESS)		:= vexpress
machine-$(CONFIG_ARCH_W90X900)		:= w90x900
machine-$(CONFIG_ARCH_NUC93X)		:= nuc93x
machine-$(CONFIG_FOOTBRIDGE)		:= footbridge
machine-$(CONFIG_MACH_SPEAR300)		:= spear3xx
machine-$(CONFIG_MACH_SPEAR310)		:= spear3xx
machine-$(CONFIG_MACH_SPEAR320)		:= spear3xx
machine-$(CONFIG_MACH_SPEAR600)		:= spear6xx

# Platform directory name.  This list is sorted alphanumerically
# by CONFIG_* macro name.
plat-$(CONFIG_ARCH_MXC)		:= mxc
plat-$(CONFIG_ARCH_OMAP)	:= omap
plat-$(CONFIG_ARCH_S3C64XX)	:= samsung
plat-$(CONFIG_ARCH_STMP3XXX)	:= stmp3xxx
plat-$(CONFIG_ARCH_TCC_926)	:= tcc
plat-$(CONFIG_PLAT_IOP)		:= iop
plat-$(CONFIG_PLAT_NOMADIK)	:= nomadik
plat-$(CONFIG_PLAT_ORION)	:= orion
plat-$(CONFIG_PLAT_PXA)		:= pxa
plat-$(CONFIG_PLAT_S3C24XX)	:= s3c24xx samsung
plat-$(CONFIG_PLAT_S5P)		:= s5p samsung
plat-$(CONFIG_PLAT_SPEAR)	:= spear
plat-$(CONFIG_PLAT_VERSATILE)	:= versatile

ifeq ($(CONFIG_ARCH_EBSA110),y)
# This is what happens if you forget the IOCS16 line.
# PCMCIA cards stop working.
CFLAGS_3c589_cs.o :=-DISA_SIXTEEN_BIT_PERIPHERAL
export CFLAGS_3c589_cs.o
endif

# The byte offset of the kernel image in RAM from the start of RAM.
TEXT_OFFSET := $(textofs-y)

# The first directory contains additional information for the boot setup code
ifneq ($(machine-y),)
MACHINE  := arch/arm/mach-$(word 1,$(machine-y))/
else
MACHINE  :=
endif

machdirs := $(patsubst %,arch/arm/mach-%/,$(machine-y))
platdirs := $(patsubst %,arch/arm/plat-%/,$(plat-y))

ifeq ($(KBUILD_SRC),)
KBUILD_CPPFLAGS += $(patsubst %,-I%include,$(machdirs) $(platdirs))
else
KBUILD_CPPFLAGS += $(patsubst %,-I$(srctree)/%include,$(machdirs) $(platdirs))
endif

export	TEXT_OFFSET GZFLAGS MMUEXT

# Do we have FASTFPE?
FASTFPE		:=arch/arm/fastfpe
ifeq ($(FASTFPE),$(wildcard $(FASTFPE)))
FASTFPE_OBJ	:=$(FASTFPE)/
endif

core-$(CONFIG_FPE_NWFPE)	+= arch/arm/nwfpe/
core-$(CONFIG_FPE_FASTFPE)	+= $(FASTFPE_OBJ)
core-$(CONFIG_VFP)		+= arch/arm/vfp/

# If we have a machine-specific directory, then include it in the build.
core-y				+= arch/arm/kernel/ arch/arm/mm/ arch/arm/common/
core-y				+= $(machdirs) $(platdirs)

drivers-$(CONFIG_OPROFILE)      += arch/arm/oprofile/

libs-y				:= arch/arm/lib/ $(libs-y)

# Default target when executing plain make
ifeq ($(CONFIG_XIP_KERNEL),y)
KBUILD_IMAGE := xipImage
else
KBUILD_IMAGE := zImage
endif

all:	$(KBUILD_IMAGE)

boot := arch/arm/boot

archprepare:
	$(Q)$(MAKE) $(build)=arch/arm/tools include/generated/mach-types.h

# Convert bzImage to zImage
bzImage: zImage

zImage Image xipImage bootpImage uImage: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $(boot)/$@

zinstall uinstall install: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $@

# We use MRPROPER_FILES and CLEAN_FILES now
archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

# My testing targets (bypasses dependencies)
bp:;	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $(boot)/bootpImage
i zi:;	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $@


define archhelp
  echo  '* zImage        - Compressed kernel image (arch/$(ARCH)/boot/zImage)'
  echo  '  Image         - Uncompressed kernel image (arch/$(ARCH)/boot/Image)'
  echo  '* xipImage      - XIP kernel image, if configured (arch/$(ARCH)/boot/xipImage)'
  echo  '  uImage        - U-Boot wrapped zImage'
  echo  '  bootpImage    - Combined zImage and initial RAM disk' 
  echo  '                  (supply initrd image via make variable INITRD=<path>)'
  echo  '  install       - Install uncompressed kernel'
  echo  '  zinstall      - Install compressed kernel'
  echo  '  uinstall      - Install U-Boot wrapped compressed kernel'
  echo  '                  Install using (your) ~/bin/$(INSTALLKERNEL) or'
  echo  '                  (distribution) /sbin/$(INSTALLKERNEL) or'
  echo  '                  install to $$(INSTALL_PATH) and run lilo'
endef

=== drivers/edac/Makefile ===
#
# Makefile for the Linux kernel EDAC drivers.
#
# Copyright 02 Jul 2003, Linux Networx (http://lnxi.com)
# This file may be distributed under the terms of the
# GNU General Public License.
#

obj-$(CONFIG_EDAC)			:= edac_stub.o
obj-$(CONFIG_EDAC_MM_EDAC)		+= edac_core.o
obj-$(CONFIG_EDAC_MCE)			+= edac_mce.o

edac_core-y	:= edac_mc.o edac_device.o edac_mc_sysfs.o edac_pci_sysfs.o
edac_core-y	+= edac_module.o edac_device_sysfs.o

ifdef CONFIG_PCI
edac_core-y	+= edac_pci.o edac_pci_sysfs.o
endif

obj-$(CONFIG_EDAC_MCE_INJ)		+= mce_amd_inj.o

edac_mce_amd-y				:= mce_amd.o
obj-$(CONFIG_EDAC_DECODE_MCE)		+= edac_mce_amd.o

obj-$(CONFIG_EDAC_AMD76X)		+= amd76x_edac.o
obj-$(CONFIG_EDAC_CPC925)		+= cpc925_edac.o
obj-$(CONFIG_EDAC_I5000)		+= i5000_edac.o
obj-$(CONFIG_EDAC_I5100)		+= i5100_edac.o
obj-$(CONFIG_EDAC_I5400)		+= i5400_edac.o
obj-$(CONFIG_EDAC_I7300)		+= i7300_edac.o
obj-$(CONFIG_EDAC_I7CORE)		+= i7core_edac.o
obj-$(CONFIG_EDAC_E7XXX)		+= e7xxx_edac.o
obj-$(CONFIG_EDAC_E752X)		+= e752x_edac.o
obj-$(CONFIG_EDAC_I82443BXGX)		+= i82443bxgx_edac.o
obj-$(CONFIG_EDAC_I82875P)		+= i82875p_edac.o
obj-$(CONFIG_EDAC_I82975X)		+= i82975x_edac.o
obj-$(CONFIG_EDAC_I3000)		+= i3000_edac.o
obj-$(CONFIG_EDAC_I3200)		+= i3200_edac.o
obj-$(CONFIG_EDAC_X38)			+= x38_edac.o
obj-$(CONFIG_EDAC_I82860)		+= i82860_edac.o
obj-$(CONFIG_EDAC_R82600)		+= r82600_edac.o

amd64_edac_mod-y := amd64_edac.o
amd64_edac_mod-$(CONFIG_EDAC_DEBUG) += amd64_edac_dbg.o
amd64_edac_mod-$(CONFIG_EDAC_AMD64_ERROR_INJECTION) += amd64_edac_inj.o

obj-$(CONFIG_EDAC_AMD64)		+= amd64_edac_mod.o

obj-$(CONFIG_EDAC_PASEMI)		+= pasemi_edac.o
obj-$(CONFIG_EDAC_MPC85XX)		+= mpc85xx_edac.o
obj-$(CONFIG_EDAC_MV64X60)		+= mv64x60_edac.o
obj-$(CONFIG_EDAC_CELL)			+= cell_edac.o
obj-$(CONFIG_EDAC_PPC4XX)		+= ppc4xx_edac.o
obj-$(CONFIG_EDAC_AMD8111)		+= amd8111_edac.o
obj-$(CONFIG_EDAC_AMD8131)		+= amd8131_edac.o

=== kernel/power/Makefile ===
ccflags-$(CONFIG_PM_DEBUG)	:=	-DDEBUG

obj-$(CONFIG_PM)		+= main.o
obj-$(CONFIG_PM_SLEEP)		+= console.o
obj-$(CONFIG_FREEZER)		+= process.o
obj-$(CONFIG_SUSPEND)		+= suspend.o
obj-$(CONFIG_PM_TEST_SUSPEND)	+= suspend_test.o
obj-$(CONFIG_HIBERNATION)	+= hibernate.o snapshot.o swap.o user.o \
				   block_io.o

obj-$(CONFIG_MAGIC_SYSRQ)	+= poweroff.o

=== net/bluetooth/Makefile ===
#
# Makefile for the Linux Bluetooth subsystem.
#

obj-$(CONFIG_BT)	+= bluetooth.o
obj-$(CONFIG_BT_L2CAP)	+= l2cap.o
obj-$(CONFIG_BT_SCO)	+= sco.o
obj-$(CONFIG_BT_RFCOMM)	+= rfcomm/
obj-$(CONFIG_BT_BNEP)	+= bnep/
obj-$(CONFIG_BT_CMTP)	+= cmtp/
obj-$(CONFIG_BT_HIDP)	+= hidp/

bluetooth-y := af_bluetooth.o hci_core.o hci_conn.o hci_event.o mgmt.o hci_sock.o hci_sysfs.o lib.o

=== net/caif/Makefile ===
ccflags-$(CONFIG_CAIF_DEBUG)     :=      -DDEBUG

caif-y := caif_dev.o \
	cfcnfg.o cfmuxl.o cfctrl.o  \
	cffrml.o cfveil.o cfdbgl.o\
	cfserl.o cfdgml.o  \
	cfrfml.o cfvidl.o cfutill.o \
	cfsrvl.o cfpkt_skbuff.o caif_config_util.o

obj-$(CONFIG_CAIF) += caif.o
obj-$(CONFIG_CAIF_NETDEV) += chnl_net.o
obj-$(CONFIG_CAIF) += caif_socket.o

export-y := caif.o

=== ubuntu/rtl8192se/Makefile ===
NIC_SELECT = RTL8192SE

CC = gcc
KVER  := $(shell uname -r)
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/

ifeq ($(shell uname -r|cut -d. -f1,2), 2.6)
###################### KERNEL 2.6 ################################
ifeq ($(NIC_SELECT),RTL8192CE)
sub_folder = rtl8192c
EXTRA_CFLAGS = -DRTL8192CE
EXTRA_CFLAGS += -DEEPROM_OLD_FORMAT_SUPPORT=0 		\
		-DRTL8192SU_DISABLE_CCK_RATE=0 		\
		-DDISABLE_BB_RF=0 			\
		-DRTL92SE_FPGA_VERIFY=0	 		\
		-DSIMULATE_ETHERNET=0 			\
		-DSUPERMAC_92D_ENABLE=0			\
		-DEARLYMODE_ENABLE_FOR_92D=0 		\
		-DRTL8192S_DISABLE_FW_DM=0 		\
		-DMP_CCK_WORKAROUND=0			\
		-DRTL8192SE_DISABLE_MGNT_QUEUE=0	\
		-DRTL8190_Download_Firmware_From_Header=1 \
		-DMUTUAL_AUTHENTICATION=1		\
		-DFOR_QMI=0				\
		-DCONFIG_PM_RTL 			\
		-DCONFIG_PM 				\
		-DENABLE_IPS 				\
		-DENABLE_LPS 				\
		-DCONFIG_ASPM_OR_D3 			\
		-DENABLE_GPIO_RADIO_CTL 		\
		-DMP_DRIVER=0				\
		-DENABLE_DOT11D				\
		#					\
		-DENABLE_TKIP11N 			\
		-D_ENABLE_SW_BEACON 			\
		-DUSE_FW_SOURCE_IMG_FILE 		\
		-DEFUSE_REPG_WORKAROUND			\
		-DENABLE_AMSDU 				\
		-DADHOC_11N 				\
		-DFOR_ANDROID_X86			\
		-DCONFIG_64BIT_DMA			\
		-DCONFIG_BT_30				\
		#
endif

ifeq ($(NIC_SELECT),RTL8192SE)
sub_folder = rtl8192s
EXTRA_CFLAGS = -DRTL8192SE
EXTRA_CFLAGS += -DEEPROM_OLD_FORMAT_SUPPORT=0 		\
		-DRTL92SE_FPGA_VERIFY=0 		\
		-DDEMO_BOARD_SUPPORT=1 			\
		-DRTL8192SU_DISABLE_CCK_RATE=0 		\
		-DRTL8192S_DISABLE_FW_DM=0 		\
		-DHAL_MAC_ENABLE=1 			\
		-DHAL_BB_ENABLE=1 			\
		-DHAL_RF_ENABLE=1 			\
		-DRTL8192S_PREPARE_FOR_NORMAL_RELEASE=1 \
		-DDISABLE_BB_RF=0 			\
		-DCONFIG_PM_RTL 			\
		-DCONFIG_PM 				\
		-DENABLE_GPIO_RADIO_CTL 		\
		-DRTL8190_Download_Firmware_From_Header=1 \
		-DENABLE_LPS 				\
		-DCONFIG_RX_CMD				\
		-DENABLE_IPS 				\
		-DUSE_FW_SOURCE_IMG_FILE 		\
		-DENABLE_DOT11D 			\
		-DCONFIG_ASPM_OR_D3 			\
		-DRTLLIB_RADIOTAP			\
		-DCONFIG_CFG_80211 			\
		-DCONFIG_RTL_RFKILL	 		\
		#					\
		-DCONFIG_CRDA	 			\
		-DCONFIG_FW_SETCHAN			\
		-DRTL8192S_WAPI_SUPPORT			\
		-D_ENABLE_SW_BEACON 			\
		-DCONFIG_MP 				\
		-DENABLE_AMSDU 				\
		-DADHOC_11N				\
		-DEFUSE_REPG_WORKAROUN			\
		-DENABLE_TKIP11N			\
		-DFOR_ANDROID_X86			\
		#
		#NOTICE:
		#[1] CONFIG_MP is for MP test, 
		#    you should close IPS/LPS/GPIO/ASPM 
		#[2] In order to support CRDA, RFKILL 
      		#    CONFIG_CFG_80211 need to be enabled at first.
		#[3] In order to support CRDA, 
      		#    DOT11D need to be enabled at first.
		#[4] CRDA and RFKILL can be enabled individually. 
                
		
endif
ifeq ($(NIC_SELECT),RTL8190P)
sub_folder = rtl8192e
EXTRA_CFLAGS += -DRTL8190P				\
		-DUSE_FW_SOURCE_IMG_FILE		\
		-DEEPROM_OLD_FORMAT_SUPPORT=1		\
		-DENABLE_DOT11D 			\
		-DCONFIG_PM				\
		-DCONFIG_PM_RTL 			\
		#					\
		-DENABLE_TKIP11N			\
		-DFOR_ANDROID_X86			\
		#
endif
ifeq ($(NIC_SELECT),RTL8192E)
sub_folder = rtl8192e
EXTRA_CFLAGS+=-DRTL8192E				\
		-DEEPROM_OLD_FORMAT_SUPPORT=1		\
		-DUSE_FW_SOURCE_IMG_FILE		\
		-DENABLE_IPS				\
		-DENABLE_LPS				\
		-DENABLE_GPIO_RADIO_CTL			\
		-DCONFIG_PM_RTL 			\
		-DCONFIG_PM 				\
		-DENABLE_DOT11D 			
		#					\
		-DCONFIG_RTL8192_IO_MAP			\
		-DCONFIG_ASPM_OR_D3 			\
		-DENABLE_TKIP11N			\
		-DFOR_ANDROID_X86			\
		#
endif
ifeq ($(NIC_SELECT),RTL8191SE_MESH)
sub_folder = rtl8192s
EXTRA_CFLAGS += -DRTL8192SE 				\
		-DEEPROM_OLD_FORMAT_SUPPORT=0 		\
		-DRTL92SE_FPGA_VERIFY=0 		\
		-DDEMO_BOARD_SUPPORT=1 			\
		-DRTL8192SU_DISABLE_CCK_RATE=0 		\
		-DRTL8192S_DISABLE_FW_DM=0 		\
		-DHAL_MAC_ENABLE=1 			\
		-DHAL_BB_ENABLE=1 			\
		-DHAL_RF_ENABLE=1 			\
		-DRTL8192S_PREPARE_FOR_NORMAL_RELEASE=1 \
		-DDISABLE_BB_RF=0 			\
		-DRTL8190_Download_Firmware_From_Header=1 \
		-DEFUSE_REPG_WORKAROUND 		\
		-DCONFIG_PM 				\
		-DCONFIG_PM_RTL 			\
		-DENABLE_GPIO_RADIO_CTL			\
		-DENABLE_IPS 				\
		-DENABLE_LPS				\
		-DCONFIG_ASPM_OR_D3 			\
		-DCUSTOMER_ID_INTEL_CMPC 		\
		-DMESH_8192_SPECIFIED 			\
		-D_RTL8192_EXT_PATCH_ 			\
		-D_MESH_DEBUG_ 				\
		-DTREE_BASED_ROUTING_ENABLE 		\
		-DMESH_PATHSEL_DBG_LV=0 		\
		-DMESH_PATHSEL_DBG_SIMPLE=0 		\
		-DMESH_PATHSEL_DBG_TEST=0		\
		-DBUILT_IN_MSHCLASS 			\
		-DENABLE_AMSDU				\
		-DUSE_FW_SOURCE_IMG_FILE 		\
		-DENABLE_DOT11D 			\
		-DCONFIG_RX_CMD				\
		#					\
		-DADHOC_11N				\
		-DCOMPATIBLE_WITH_RALINK_MESH 		\
		-DCONFIG_CRDA	 			\
		-DCONFIG_FW_SETCHAN			\
		-DRTL8192S_WAPI_SUPPORT			\
		-DMESH_AUTO_TEST			\
		-D_ENABLE_SW_BEACON			\
		-DEFUSE_REPG_WORKAROUND 		\
		-DENABLE_TKIP11N			\
		-DFOR_ANDROID_X86			\
		-DCONFIG_MP 				\
		#
endif

ifeq ($(NIC_SELECT),RTL8192CE_MESH)
sub_folder = rtl8192c
EXTRA_CFLAGS = -DRTL8192CE
EXTRA_CFLAGS += -DEEPROM_OLD_FORMAT_SUPPORT=0 		\
		-DRTL8192SU_DISABLE_CCK_RATE=0 		\
		-DDISABLE_BB_RF=0 			\
		-DRTL92SE_FPGA_VERIFY=0	 		\
		-DSIMULATE_ETHERNET=0 			\
		-DSUPERMAC_92D_ENABLE=0			\
		-DEARLYMODE_ENABLE_FOR_92D=0 		\
		-DRTL8192S_DISABLE_FW_DM=0 		\
		-DMP_CCK_WORKAROUND=0			\
		-DRTL8192SE_DISABLE_MGNT_QUEUE=0	\
		-DRTL8190_Download_Firmware_From_Header=1 \
		-DMUTUAL_AUTHENTICATION=1		\
		-DFOR_QMI=0				\
		-DENABLE_TKIP11N 			\
		-DCONFIG_PM_RTL 			\
		-DCONFIG_PM 				\
		-DENABLE_IPS 				\
		-DENABLE_LPS 				\
		-DCONFIG_ASPM_OR_D3 			\
		-DENABLE_GPIO_RADIO_CTL 		\
		-DMP_DRIVER=0				\
		-DENABLE_DOT11D				\
		-DEFUSE_REPG_WORKAROUND 		\
		-DCUSTOMER_ID_INTEL_CMPC 		\
		-DMESH_8192_SPECIFIED 			\
		-D_RTL8192_EXT_PATCH_ 			\
		-D_MESH_DEBUG_ 				\
		-DTREE_BASED_ROUTING_ENABLE 		\
		-DMESH_PATHSEL_DBG_LV=0 		\
		-DMESH_PATHSEL_DBG_SIMPLE=0 		\
		-DMESH_PATHSEL_DBG_TEST=0		\
		-DBUILT_IN_MSHCLASS 			\
		-DENABLE_AMSDU				\
		#					\
		-D_ENABLE_SW_BEACON 			\
		-DUSE_FW_SOURCE_IMG_FILE 		\
		-DCOMPATIBLE_WITH_RALINK_MESH 		\
		-DEFUSE_REPG_WORKAROUND			\
		-DENABLE_AMSDU 				\
		-DADHOC_11N 				\
		-DFOR_ANDROID_X86			\
		-DCONFIG_64BIT_DMA			\
		#
endif

#it will fail to compile in suse linux enterprise 10 sp2. This flag is to solve this problem.
ifeq ($(shell uname -r | cut -d. -f1,2,3,4), 2.6.16.60-0)
	EXTRA_CFLAGS += -DOPENSUSE_SLED=1
else
	EXTRA_CFLAGS += -DOPENSUSE_SLED=0
endif

# Switch AP will fail in moblin2. This flag is to solve this issue.
ifeq ($(shell uname -r | cut -d. -f6 | cut -d- -f1), moblin2)
	EXTRA_CFLAGS += -DFOR_MOBLIN
endif

EXTRA_CFLAGS += -I$(TOPDIR)/drivers/net/wireless
EXTRA_CFLAGS += -std=gnu89
EXTRA_CFLAGS += -O2
EXTRA_CFLAGS += -mhard-float -DCONFIG_FORCE_HARD_FLOAT=y
EXTRA_CFLAGS += -DTHOMAS_TURBO
#flag for single module compile
EXTRA_CFLAGS += -DBUILT_IN_RTLLIB
#EXTRA_CFLAGS += -DCONFIG_RTLWIFI_DEBUGFS
ifeq ($(NIC_SELECT),RTL8190P)
r8190_pci-objs := rtl_core.o 		\
		  rtl_eeprom.o 		\
		  rtl_ps.o 		\
		  rtl_wx.o 		\
		  rtl_cam.o		\
		  rtl_dm.o 		\
		  rtl_pm.o 		\
		  rtl_pci.o 		\
		  rtl_debug.o 		\
		  rtl_ethtool.o		\
		  rtl8192e/r8190P_hwimg.o	\
		  rtl8192e/r8190P_rtl8256.o 	\
		  rtl8192e/r8192E_dev.o		\
		  rtl8192e/r8192E_phy.o 		\
		  rtl8192e/r8192E_firmware.o 	\
		  rtl8192e/r8192E_cmdpkt.o 	\
		  ../../rtllib/rtllib_rx.o                \
		  ../../rtllib/rtllib_softmac.o           \
		  ../../rtllib/rtllib_tx.o                \
		  ../../rtllib/rtllib_wx.o                \
		  ../../rtllib/rtllib_module.o            \
		  ../../rtllib/rtllib_softmac_wx.o        \
		  ../../rtllib/rtl819x_HTProc.o              \
		  ../../rtllib/rtl819x_TSProc.o              \
		  ../../rtllib/rtl819x_BAProc.o              \
		  ../../rtllib/dot11d.o                      \
		  ../../rtllib/rtllib_crypt.o             \
		  ../../rtllib/rtllib_crypt_tkip.o        \
		  ../../rtllib/rtllib_crypt_ccmp.o        \
		  ../../rtllib/rtllib_crypt_wep.o

obj-m := r8190_pci.o
endif
ifeq ($(NIC_SELECT),RTL8192E)
r8192e_pci-objs := rtl_core.o 		\
		  rtl_eeprom.o 	\
		  rtl_ps.o 		\
		  rtl_wx.o   	\
		  rtl_cam.o		\
		  rtl_dm.o 		\
		  rtl_pm.o 		\
		  rtl_pci.o 		\
		  rtl_debug.o		\
		  rtl_ethtool.o		\
		  rtl8192e/r8192E_dev.o		\
		  rtl8192e/r8192E_phy.o 		\
		  rtl8192e/r8192E_firmware.o 	\
		  rtl8192e/r8192E_cmdpkt.o 	\
		  rtl8192e/r8192E_hwimg.o 	\
		  rtl8192e/r8190P_rtl8256.o 	\
		  ../../rtllib/rtllib_rx.o                \
		  ../../rtllib/rtllib_softmac.o           \
		  ../../rtllib/rtllib_tx.o                \
		  ../../rtllib/rtllib_wx.o                \
		  ../../rtllib/rtllib_module.o            \
		  ../../rtllib/rtllib_softmac_wx.o        \
		  ../../rtllib/rtl819x_HTProc.o              \
		  ../../rtllib/rtl819x_TSProc.o              \
		  ../../rtllib/rtl819x_BAProc.o              \
		  ../../rtllib/dot11d.o                      \
		  ../../rtllib/rtllib_crypt.o             \
		  ../../rtllib/rtllib_crypt_tkip.o        \
		  ../../rtllib/rtllib_crypt_ccmp.o        \
		  ../../rtllib/rtllib_crypt_wep.o
obj-m := r8192e_pci.o
endif
ifeq ($(NIC_SELECT),RTL8192SE)
r8192se_pci-objs := rtl_core.o 		\
		  rtl_regd.o		\
		  rtl_rfkill.o		\
		  rtl_eeprom.o 		\
		  rtl_wx.o 		\
		  rtl_cam.o		\
		  rtl_pm.o 		\
		  rtl_pci.o 		\
		  rtl_ps.o 		\
		  rtl_dm.o 		\
		  rtl_debug.o		\
		  rtl_ethtool.o         \
		  rtl8192s/r8192S_dev.o 	\
		  rtl8192s/r8192S_Efuse.o 	\
		  rtl8192s/r8192S_phy.o 	\
		  rtl8192s/r8192S_firmware.o 	\
		  rtl8192s/r8192S_rtl6052.o 	\
		  rtl8192s/r8192S_hwimg.o 	\
		  rtl8192s/r8192S_led.o 	\
		  rtl8192s/r8192S_mp.o		\
		  rtl8192s/r8192S_scan.o	\
		  rtllib/rtllib_rx.o                \
		  rtllib/rtllib_softmac.o           \
		  rtllib/rtllib_tx.o                \
		  rtllib/rtllib_wx.o                \
		  rtllib/rtllib_module.o            \
		  rtllib/rtllib_softmac_wx.o        \
		  rtllib/rtl819x_HTProc.o              \
		  rtllib/rtl819x_TSProc.o              \
		  rtllib/rtl819x_BAProc.o              \
		  rtllib/dot11d.o                      \
		  rtllib/rtllib_crypt.o             \
		  rtllib/rtllib_crypt_tkip.o        \
		  rtllib/rtllib_crypt_ccmp.o        \
		  rtllib/rtllib_crypt_wep.o		\
		  rtllib/wapi.o        			\
		  rtllib/wapi_interface.o
#		  rtl8192e/r8190P_rtl8256.o 	
obj-m := r8192se_pci.o
endif

ifeq ($(NIC_SELECT),RTL8192CE)
r8192ce_pci-objs := rtl_core.o 		\
		  rtl_eeprom.o 		\
		  rtl_wx.o 		\
		  rtl_cam.o		\
		  rtl_pm.o 		\
		  rtl_pci.o 		\
		  rtl_ps.o 		\
		  rtl_debug.o		\
		  rtl_ethtool.o         \
		  rtl8192c/r8192C_dev.o 	\
		  rtl8192c/r8192C_Efuse.o 	\
		  rtl8192c/r8192C_phy.o 	\
		  rtl8192c/r8192C_firmware.o 	\
		  rtl8192c/r8192C_dm.o 		\
		  rtl8192c/r8192C_rtl6052.o 	\
		  rtl8192c/r8192C_hwimg.o 	\
		  rtl8192c/r8192C_led.o 	\
		  rtl8192c/r8192C_com.o 	\
		  ../../rtllib/rtllib_rx.o                \
		  ../../rtllib/rtllib_softmac.o           \
		  ../../rtllib/rtllib_tx.o                \
		  ../../rtllib/rtllib_wx.o                \
		  ../../rtllib/rtllib_module.o            \
		  ../../rtllib/rtllib_softmac_wx.o        \
		  ../../rtllib/rtl819x_HTProc.o              \
		  ../../rtllib/rtl819x_TSProc.o              \
		  ../../rtllib/rtl819x_BAProc.o              \
		  ../../rtllib/dot11d.o                      \
		  ../../rtllib/rtllib_crypt.o             \
		  ../../rtllib/rtllib_crypt_tkip.o        \
		  ../../rtllib/rtllib_crypt_ccmp.o        \
		  ../../rtllib/rtllib_crypt_wep.o      \
		  # BT3.0				\
		  ../../btlib/bt_aes.o			\
		  ../../btlib/bt_rc4.o			\
		  ../../btlib/bt_md5c.o			\
		  ../../btlib/bt_kmsm_hmac.o		\
		  ../../btlib/bt_kmsm_prf.o		\
		  ../../btlib/bt_kmsm_eapolkey.o	\
		  ../../btlib/bt_hci.o			\
		  ../../btlib/bt_handlePacket.o		\
		  ../../btlib/bt_wifi.o
obj-m := r8192ce_pci.o
endif

ifeq ($(NIC_SELECT),RTL8191SE_MESH)
r8192se_pci_mesh-objs := rtl_core.o 	\
		  rtl_regd.o		\
		  rtl_rfkill.o		\
		  rtl_eeprom.o 		\
		  rtl_ps.o 		\
		  rtl_wx.o 		\
		  rtl_cam.o		\
		  rtl_dm.o 		\
		  rtl_pm.o 		\
		  rtl_pci.o 		\
		  rtl_debug.o		\
		  rtl_ethtool.o         \
		  rtl_mesh.o		\
		  rtl8192s/r8192S_dev.o \
		  rtl8192s/r8192S_Efuse.o 	\
		  rtl8192s/r8192S_phy.o 	\
		  rtl8192s/r8192S_firmware.o 	\
		  rtl8192s/r8192S_rtl6052.o 	\
		  rtl8192s/r8192S_hwimg.o 	\
		  rtl8192s/r8192S_led.o 	\
		  rtl8192s/r8192S_mp.o		\
		  rtl8192s/r8192S_scan.o		\
		  ../../rtllib/rtllib_rx.o                \

=== arch/arm/mach-omap2/Makefile ===
#
# Makefile for the linux kernel.
#

# Common support
obj-y := id.o io.o control.o mux.o devices.o serial.o gpmc.o timer-gp.o pm.o \
	 common.o gpio.o dma.o wd_timer.o

omap-2-3-common				= irq.o sdrc.o
hwmod-common				= omap_hwmod.o \
					  omap_hwmod_common_data.o
clock-common				= clock.o clock_common_data.o \
					  clkt_dpll.o clkt_clksel.o

obj-$(CONFIG_ARCH_OMAP2) += $(omap-2-3-common) $(hwmod-common)
obj-$(CONFIG_ARCH_OMAP3) += $(omap-2-3-common) $(hwmod-common)
obj-$(CONFIG_ARCH_OMAP4) += prm44xx.o $(hwmod-common)

obj-$(CONFIG_OMAP_MCBSP) += mcbsp.o

obj-$(CONFIG_TWL4030_CORE) += omap_twl.o

# SMP support ONLY available for OMAP4
obj-$(CONFIG_SMP)			+= omap-smp.o omap-headsmp.o
obj-$(CONFIG_LOCAL_TIMERS)		+= timer-mpu.o
obj-$(CONFIG_HOTPLUG_CPU)		+= omap-hotplug.o
obj-$(CONFIG_ARCH_OMAP4)		+= omap44xx-smc.o omap4-common.o

plus_sec := $(call as-instr,.arch_extension sec,+sec)
AFLAGS_omap-headsmp.o			:=-Wa,-march=armv7-a$(plus_sec)
AFLAGS_omap44xx-smc.o			:=-Wa,-march=armv7-a$(plus_sec)

# Functions loaded to SRAM
obj-$(CONFIG_ARCH_OMAP2420)		+= sram242x.o
obj-$(CONFIG_ARCH_OMAP2430)		+= sram243x.o
obj-$(CONFIG_ARCH_OMAP3)		+= sram34xx.o

AFLAGS_sram242x.o			:=-Wa,-march=armv6
AFLAGS_sram243x.o			:=-Wa,-march=armv6
AFLAGS_sram34xx.o			:=-Wa,-march=armv7-a

# Pin multiplexing
obj-$(CONFIG_ARCH_OMAP2420)		+= mux2420.o
obj-$(CONFIG_ARCH_OMAP2430)		+= mux2430.o
obj-$(CONFIG_ARCH_OMAP3)		+= mux34xx.o
obj-$(CONFIG_ARCH_OMAP4)		+= mux44xx.o

# SMS/SDRC
obj-$(CONFIG_ARCH_OMAP2)		+= sdrc2xxx.o
# obj-$(CONFIG_ARCH_OMAP3)		+= sdrc3xxx.o

# OPP table initialization
ifeq ($(CONFIG_PM_OPP),y)
obj-y					+= opp.o
obj-$(CONFIG_ARCH_OMAP3)		+= opp3xxx_data.o
obj-$(CONFIG_ARCH_OMAP4)		+= opp4xxx_data.o
endif

# Power Management
ifeq ($(CONFIG_PM),y)
obj-$(CONFIG_ARCH_OMAP2)		+= pm24xx.o
obj-$(CONFIG_ARCH_OMAP2)		+= sleep24xx.o pm_bus.o voltage.o
obj-$(CONFIG_ARCH_OMAP3)		+= pm34xx.o sleep34xx.o voltage.o \
					   cpuidle34xx.o pm_bus.o dvfs.o
obj-$(CONFIG_ARCH_OMAP4)		+= pm44xx.o voltage.o pm_bus.o
obj-$(CONFIG_PM_DEBUG)			+= pm-debug.o
obj-$(CONFIG_OMAP_SMARTREFLEX)          += sr_device.o smartreflex.o
obj-$(CONFIG_OMAP_SMARTREFLEX_CLASS3)	+= smartreflex-class3.o

AFLAGS_sleep24xx.o			:=-Wa,-march=armv6
AFLAGS_sleep34xx.o			:=-Wa,-march=armv7-a$(plus_sec)

ifeq ($(CONFIG_PM_VERBOSE),y)
CFLAGS_pm_bus.o				+= -DDEBUG
endif

endif

# PRCM
obj-$(CONFIG_ARCH_OMAP2)		+= prcm.o cm2xxx_3xxx.o prm2xxx_3xxx.o
obj-$(CONFIG_ARCH_OMAP3)		+= prcm.o cm2xxx_3xxx.o prm2xxx_3xxx.o
# XXX The presence of cm2xxx_3xxx.o on the line below is temporary and
# will be removed once the OMAP4 part of the codebase is converted to
# use OMAP4-specific PRCM functions.
obj-$(CONFIG_ARCH_OMAP4)		+= prcm.o cm2xxx_3xxx.o cminst44xx.o \
					   cm44xx.o prcm_mpu44xx.o \
					   prminst44xx.o

# OMAP powerdomain framework
powerdomain-common			+= powerdomain.o powerdomain-common.o
obj-$(CONFIG_ARCH_OMAP2)		+= $(powerdomain-common) \
					   powerdomain2xxx_3xxx.o \
					   powerdomains2xxx_data.o \
					   powerdomains2xxx_3xxx_data.o
obj-$(CONFIG_ARCH_OMAP3)		+= $(powerdomain-common) \
					   powerdomain2xxx_3xxx.o \
					   powerdomains3xxx_data.o \
					   powerdomains2xxx_3xxx_data.o
obj-$(CONFIG_ARCH_OMAP4)		+= $(powerdomain-common) \
					   powerdomain44xx.o \
					   powerdomains44xx_data.o

# PRCM clockdomain control
obj-$(CONFIG_ARCH_OMAP2)		+= clockdomain.o \
					   clockdomains2xxx_3xxx_data.o
obj-$(CONFIG_ARCH_OMAP3)		+= clockdomain.o \
					   clockdomains2xxx_3xxx_data.o
obj-$(CONFIG_ARCH_OMAP4)		+= clockdomain.o \
					   clockdomains44xx_data.o
# Clock framework
obj-$(CONFIG_ARCH_OMAP2)		+= $(clock-common) clock2xxx.o \
					   clkt2xxx_sys.o \
					   clkt2xxx_dpllcore.o \
					   clkt2xxx_virt_prcm_set.o \
					   clkt2xxx_apll.o clkt2xxx_osc.o
obj-$(CONFIG_ARCH_OMAP2420)		+= clock2420_data.o
obj-$(CONFIG_ARCH_OMAP2430)		+= clock2430.o clock2430_data.o
obj-$(CONFIG_ARCH_OMAP3)		+= $(clock-common) clock3xxx.o \
					   clock34xx.o clkt34xx_dpll3m2.o \
					   clock3517.o clock36xx.o \
					   dpll3xxx.o clock3xxx_data.o
obj-$(CONFIG_ARCH_OMAP4)		+= $(clock-common) clock44xx_data.o \
					   dpll3xxx.o

# OMAP2 clock rate set data (old "OPP" data)
obj-$(CONFIG_ARCH_OMAP2420)		+= opp2420_data.o
obj-$(CONFIG_ARCH_OMAP2430)		+= opp2430_data.o

# hwmod data
obj-$(CONFIG_ARCH_OMAP2420)		+= omap_hwmod_2420_data.o
obj-$(CONFIG_ARCH_OMAP2430)		+= omap_hwmod_2430_data.o
obj-$(CONFIG_ARCH_OMAP3)		+= omap_hwmod_3xxx_data.o
obj-$(CONFIG_ARCH_OMAP4)		+= omap_hwmod_44xx_data.o

# EMU peripherals
obj-$(CONFIG_OMAP3_EMU)			+= emu.o

obj-$(CONFIG_OMAP_MBOX_FWK)		+= mailbox_mach.o
mailbox_mach-objs			:= mailbox.o

obj-$(CONFIG_OMAP_IOMMU)		+= iommu2.o

iommu-$(CONFIG_OMAP_IOMMU)		:= omap-iommu.o
obj-y					+= $(iommu-m) $(iommu-y)

i2c-omap-$(CONFIG_I2C_OMAP)		:= i2c.o
obj-y					+= $(i2c-omap-m) $(i2c-omap-y)

ifneq ($(CONFIG_TIDSPBRIDGE),)
obj-y					+= dsp.o
endif

# Specific board support
obj-$(CONFIG_MACH_OMAP_GENERIC)		+= board-generic.o
obj-$(CONFIG_MACH_OMAP_H4)		+= board-h4.o
obj-$(CONFIG_MACH_OMAP_2430SDP)		+= board-2430sdp.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP_APOLLON)		+= board-apollon.o
obj-$(CONFIG_MACH_OMAP3_BEAGLE)		+= board-omap3beagle.o \
					   hsmmc.o
obj-$(CONFIG_MACH_DEVKIT8000)     	+= board-devkit8000.o \
                                           hsmmc.o
obj-$(CONFIG_MACH_OMAP_LDP)		+= board-ldp.o \
					   board-flash.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP3530_LV_SOM)      += board-omap3logic.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP3_TORPEDO)        += board-omap3logic.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OVERO)		+= board-overo.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP3EVM)		+= board-omap3evm.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP3_PANDORA)	+= board-omap3pandora.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP_3430SDP)		+= board-3430sdp.o \
					   hsmmc.o \
					   board-flash.o
obj-$(CONFIG_MACH_NOKIA_N8X0)		+= board-n8x0.o
obj-$(CONFIG_MACH_NOKIA_RM680)		+= board-rm680.o \
					   sdram-nokia.o \
					   hsmmc.o
obj-$(CONFIG_MACH_NOKIA_RX51)		+= board-rx51.o \
					   sdram-nokia.o \
					   board-rx51-peripherals.o \
					   board-rx51-video.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP_ZOOM2)		+= board-zoom.o \
					   board-zoom-peripherals.o \
					   board-zoom-display.o \
					   board-flash.o \
					   hsmmc.o \
					   board-zoom-debugboard.o
obj-$(CONFIG_MACH_OMAP_ZOOM3)		+= board-zoom.o \
					   board-zoom-peripherals.o \
					   board-zoom-display.o \
					   board-flash.o \
					   hsmmc.o \
					   board-zoom-debugboard.o
obj-$(CONFIG_MACH_OMAP_3630SDP)		+= board-3630sdp.o \
					   board-zoom-peripherals.o \
					   board-zoom-display.o \
					   board-flash.o \
					   hsmmc.o
obj-$(CONFIG_MACH_CM_T35)		+= board-cm-t35.o \
					   hsmmc.o
obj-$(CONFIG_MACH_CM_T3517)		+= board-cm-t3517.o
obj-$(CONFIG_MACH_IGEP0020)		+= board-igep0020.o \
					   hsmmc.o
obj-$(CONFIG_MACH_IGEP0030)		+= board-igep0030.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP3_TOUCHBOOK)	+= board-omap3touchbook.o \
					   hsmmc.o
obj-$(CONFIG_MACH_OMAP_4430SDP)		+= board-4430sdp.o \
					   hsmmc.o \
					   omap_phy_internal.o
obj-$(CONFIG_MACH_OMAP4_PANDA)		+= board-omap4panda.o \
					   hsmmc.o \
					   omap_phy_internal.o

obj-$(CONFIG_MACH_OMAP3517EVM)		+= board-am3517evm.o

obj-$(CONFIG_MACH_CRANEBOARD)		+= board-am3517crane.o

obj-$(CONFIG_MACH_SBC3530)		+= board-omap3stalker.o \
					   hsmmc.o
# Platform specific device init code
usbfs-$(CONFIG_ARCH_OMAP_OTG)		:= usb-fs.o
obj-y					+= $(usbfs-m) $(usbfs-y)
obj-y					+= usb-musb.o
obj-$(CONFIG_MACH_OMAP2_TUSB6010)	+= usb-tusb6010.o
obj-y					+= usb-ehci.o

onenand-$(CONFIG_MTD_ONENAND_OMAP2)	:= gpmc-onenand.o
obj-y					+= $(onenand-m) $(onenand-y)

nand-$(CONFIG_MTD_NAND_OMAP2)		:= gpmc-nand.o
obj-y					+= $(nand-m) $(nand-y)

smc91x-$(CONFIG_SMC91X)			:= gpmc-smc91x.o
obj-y					+= $(smc91x-m) $(smc91x-y)

smsc911x-$(CONFIG_SMSC911X)		:= gpmc-smsc911x.o
obj-y					+= $(smsc911x-m) $(smsc911x-y)

disp-$(CONFIG_OMAP2_DSS)		:= display.o
obj-y					+= $(disp-m) $(disp-y)

=== arch/xtensa/boot/Makefile ===
#
# arch/xtensa/boot/Makefile
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
#


# KBUILD_CFLAGS used when building rest of boot (takes effect recursively)
KBUILD_CFLAGS	+= -fno-builtin -Iarch/$(ARCH)/boot/include
HOSTFLAGS	+= -Iarch/$(ARCH)/boot/include

BIG_ENDIAN	:= $(shell echo -e __XTENSA_EB__ | $(CC) -E - | grep -v "\#")

export EXTRA_CFLAGS
export BIG_ENDIAN

subdir-y	:= lib

# Subdirs for the boot loader(s)

bootdir-$(CONFIG_XTENSA_PLATFORM_ISS)	 += boot-elf
bootdir-$(CONFIG_XTENSA_PLATFORM_XT2000) += boot-redboot boot-elf


zImage zImage.initrd Image Image.initrd: $(bootdir-y)

$(bootdir-y): $(addprefix $(obj)/,$(subdir-y)) \
	      $(addprefix $(obj)/,$(host-progs))
	$(Q)$(MAKE) $(build)=$(obj)/$@ $(MAKECMDGOALS)

=== drivers/platform/x86/Makefile ===
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_DELL_LAPTOP)	+= dell-laptop.o
obj-$(CONFIG_DELL_WMI)		+= dell-wmi.o
obj-$(CONFIG_DELL_WMI_AIO)	+= dell-wmi-aio.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_HP_WMI)		+= hp-wmi.o
obj-$(CONFIG_TC1100_WMI)	+= tc1100-wmi.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_INTEL_MENLOW)	+= intel_menlow.o
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o
obj-$(CONFIG_ACPI_ASUS)		+= asus_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_INTEL_SCU_IPC)	+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)+= intel_scu_ipcutil.o
obj-$(CONFIG_RAR_REGISTER)	+= intel_rar_register.o
obj-$(CONFIG_INTEL_IPS)		+= intel_ips.o
obj-$(CONFIG_GPIO_INTEL_PMIC)	+= intel_pmic_gpio.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o

=== sound/soc/codecs/Makefile ===
snd-soc-88pm860x-objs := 88pm860x-codec.o
snd-soc-ac97-objs := ac97.o
snd-soc-ad1836-objs := ad1836.o
snd-soc-ad193x-objs := ad193x.o
snd-soc-ad1980-objs := ad1980.o
snd-soc-ad73311-objs := ad73311.o
snd-soc-ads117x-objs := ads117x.o
snd-soc-ak4104-objs := ak4104.o
snd-soc-ak4535-objs := ak4535.o
snd-soc-ak4642-objs := ak4642.o
snd-soc-ak4671-objs := ak4671.o
snd-soc-cq93vc-objs := cq93vc.o
snd-soc-cs42l51-objs := cs42l51.o
snd-soc-cs4270-objs := cs4270.o
snd-soc-cx20442-objs := cx20442.o
snd-soc-da7210-objs := da7210.o
snd-soc-dmic-objs := dmic.o
snd-soc-l3-objs := l3.o
snd-soc-max98088-objs := max98088.o
snd-soc-pcm3008-objs := pcm3008.o
snd-soc-alc5623-objs := alc5623.o
snd-soc-spdif-objs := spdif_transciever.o
snd-soc-ssm2602-objs := ssm2602.o
snd-soc-stac9766-objs := stac9766.o
snd-soc-tlv320aic23-objs := tlv320aic23.o
snd-soc-tlv320aic26-objs := tlv320aic26.o
snd-soc-tlv320aic3x-objs := tlv320aic3x.o
snd-soc-tlv320dac33-objs := tlv320dac33.o
snd-soc-twl4030-objs := twl4030.o
snd-soc-twl6040-objs := twl6040.o
snd-soc-uda134x-objs := uda134x.o
snd-soc-uda1380-objs := uda1380.o
snd-soc-wl1273-objs := wl1273.o
snd-soc-wm8350-objs := wm8350.o
snd-soc-wm8400-objs := wm8400.o
snd-soc-wm8510-objs := wm8510.o
snd-soc-wm8523-objs := wm8523.o
snd-soc-wm8580-objs := wm8580.o
snd-soc-wm8711-objs := wm8711.o
snd-soc-wm8727-objs := wm8727.o
snd-soc-wm8728-objs := wm8728.o
snd-soc-wm8731-objs := wm8731.o
snd-soc-wm8737-objs := wm8737.o
snd-soc-wm8741-objs := wm8741.o
snd-soc-wm8750-objs := wm8750.o
snd-soc-wm8753-objs := wm8753.o
snd-soc-wm8770-objs := wm8770.o
snd-soc-wm8776-objs := wm8776.o
snd-soc-wm8804-objs := wm8804.o
snd-soc-wm8900-objs := wm8900.o
snd-soc-wm8903-objs := wm8903.o
snd-soc-wm8904-objs := wm8904.o
snd-soc-wm8940-objs := wm8940.o
snd-soc-wm8955-objs := wm8955.o
snd-soc-wm8960-objs := wm8960.o
snd-soc-wm8961-objs := wm8961.o
snd-soc-wm8962-objs := wm8962.o
snd-soc-wm8971-objs := wm8971.o
snd-soc-wm8974-objs := wm8974.o
snd-soc-wm8978-objs := wm8978.o
snd-soc-wm8985-objs := wm8985.o
snd-soc-wm8988-objs := wm8988.o
snd-soc-wm8990-objs := wm8990.o
snd-soc-wm8993-objs := wm8993.o
snd-soc-wm8994-objs := wm8994.o wm8994-tables.o
snd-soc-wm8995-objs := wm8995.o
snd-soc-wm9081-objs := wm9081.o
snd-soc-wm9705-objs := wm9705.o
snd-soc-wm9712-objs := wm9712.o
snd-soc-wm9713-objs := wm9713.o
snd-soc-wm-hubs-objs := wm_hubs.o
snd-soc-jz4740-codec-objs := jz4740.o

# Amp
snd-soc-max9877-objs := max9877.o
snd-soc-tpa6130a2-objs := tpa6130a2.o
snd-soc-wm2000-objs := wm2000.o
snd-soc-wm9090-objs := wm9090.o

obj-$(CONFIG_SND_SOC_88PM860X)	+= snd-soc-88pm860x.o
obj-$(CONFIG_SND_SOC_AC97_CODEC)	+= snd-soc-ac97.o
obj-$(CONFIG_SND_SOC_AD1836)	+= snd-soc-ad1836.o
obj-$(CONFIG_SND_SOC_AD193X)	+= snd-soc-ad193x.o
obj-$(CONFIG_SND_SOC_AD1980)	+= snd-soc-ad1980.o
obj-$(CONFIG_SND_SOC_AD73311) += snd-soc-ad73311.o
obj-$(CONFIG_SND_SOC_ADS117X)	+= snd-soc-ads117x.o
obj-$(CONFIG_SND_SOC_AK4104)	+= snd-soc-ak4104.o
obj-$(CONFIG_SND_SOC_AK4535)	+= snd-soc-ak4535.o
obj-$(CONFIG_SND_SOC_AK4642)	+= snd-soc-ak4642.o
obj-$(CONFIG_SND_SOC_AK4671)	+= snd-soc-ak4671.o
obj-$(CONFIG_SND_SOC_CQ0093VC) += snd-soc-cq93vc.o
obj-$(CONFIG_SND_SOC_CS42L51)	+= snd-soc-cs42l51.o
obj-$(CONFIG_SND_SOC_CS4270)	+= snd-soc-cs4270.o
obj-$(CONFIG_SND_SOC_CX20442)	+= snd-soc-cx20442.o
obj-$(CONFIG_SND_SOC_DA7210)	+= snd-soc-da7210.o
obj-$(CONFIG_SND_SOC_DMIC)	+= snd-soc-dmic.o
obj-$(CONFIG_SND_SOC_L3)	+= snd-soc-l3.o
obj-$(CONFIG_SND_SOC_JZ4740_CODEC)	+= snd-soc-jz4740-codec.o
obj-$(CONFIG_SND_SOC_MAX98088)	+= snd-soc-max98088.o
obj-$(CONFIG_SND_SOC_PCM3008)	+= snd-soc-pcm3008.o
obj-$(CONFIG_SND_SOC_ALC5623)    += snd-soc-alc5623.o
obj-$(CONFIG_SND_SOC_SPDIF)	+= snd-soc-spdif.o
obj-$(CONFIG_SND_SOC_SSM2602)	+= snd-soc-ssm2602.o
obj-$(CONFIG_SND_SOC_STAC9766)	+= snd-soc-stac9766.o
obj-$(CONFIG_SND_SOC_TLV320AIC23)	+= snd-soc-tlv320aic23.o
obj-$(CONFIG_SND_SOC_TLV320AIC26)	+= snd-soc-tlv320aic26.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X)	+= snd-soc-tlv320aic3x.o
obj-$(CONFIG_SND_SOC_TLV320DAC33)	+= snd-soc-tlv320dac33.o
obj-$(CONFIG_SND_SOC_TWL4030)	+= snd-soc-twl4030.o
obj-$(CONFIG_SND_SOC_TWL6040)	+= snd-soc-twl6040.o
obj-$(CONFIG_SND_SOC_UDA134X)	+= snd-soc-uda134x.o
obj-$(CONFIG_SND_SOC_UDA1380)	+= snd-soc-uda1380.o
obj-$(CONFIG_SND_SOC_WL1273)	+= snd-soc-wl1273.o
obj-$(CONFIG_SND_SOC_WM8350)	+= snd-soc-wm8350.o
obj-$(CONFIG_SND_SOC_WM8400)	+= snd-soc-wm8400.o
obj-$(CONFIG_SND_SOC_WM8510)	+= snd-soc-wm8510.o
obj-$(CONFIG_SND_SOC_WM8523)	+= snd-soc-wm8523.o
obj-$(CONFIG_SND_SOC_WM8580)	+= snd-soc-wm8580.o
obj-$(CONFIG_SND_SOC_WM8711)	+= snd-soc-wm8711.o
obj-$(CONFIG_SND_SOC_WM8727)	+= snd-soc-wm8727.o
obj-$(CONFIG_SND_SOC_WM8728)	+= snd-soc-wm8728.o
obj-$(CONFIG_SND_SOC_WM8731)	+= snd-soc-wm8731.o
obj-$(CONFIG_SND_SOC_WM8737)	+= snd-soc-wm8737.o
obj-$(CONFIG_SND_SOC_WM8741)	+= snd-soc-wm8741.o
obj-$(CONFIG_SND_SOC_WM8750)	+= snd-soc-wm8750.o
obj-$(CONFIG_SND_SOC_WM8753)	+= snd-soc-wm8753.o
obj-$(CONFIG_SND_SOC_WM8770)	+= snd-soc-wm8770.o
obj-$(CONFIG_SND_SOC_WM8776)	+= snd-soc-wm8776.o
obj-$(CONFIG_SND_SOC_WM8804)	+= snd-soc-wm8804.o
obj-$(CONFIG_SND_SOC_WM8900)	+= snd-soc-wm8900.o
obj-$(CONFIG_SND_SOC_WM8903)	+= snd-soc-wm8903.o
obj-$(CONFIG_SND_SOC_WM8904)	+= snd-soc-wm8904.o
obj-$(CONFIG_SND_SOC_WM8940)	+= snd-soc-wm8940.o
obj-$(CONFIG_SND_SOC_WM8955)	+= snd-soc-wm8955.o
obj-$(CONFIG_SND_SOC_WM8960)	+= snd-soc-wm8960.o
obj-$(CONFIG_SND_SOC_WM8961)	+= snd-soc-wm8961.o
obj-$(CONFIG_SND_SOC_WM8962)	+= snd-soc-wm8962.o
obj-$(CONFIG_SND_SOC_WM8971)	+= snd-soc-wm8971.o
obj-$(CONFIG_SND_SOC_WM8974)	+= snd-soc-wm8974.o
obj-$(CONFIG_SND_SOC_WM8978)	+= snd-soc-wm8978.o
obj-$(CONFIG_SND_SOC_WM8985)	+= snd-soc-wm8985.o
obj-$(CONFIG_SND_SOC_WM8988)	+= snd-soc-wm8988.o
obj-$(CONFIG_SND_SOC_WM8990)	+= snd-soc-wm8990.o
obj-$(CONFIG_SND_SOC_WM8993)	+= snd-soc-wm8993.o
obj-$(CONFIG_SND_SOC_WM8994)	+= snd-soc-wm8994.o
obj-$(CONFIG_SND_SOC_WM8995)	+= snd-soc-wm8995.o
obj-$(CONFIG_SND_SOC_WM9081)	+= snd-soc-wm9081.o
obj-$(CONFIG_SND_SOC_WM9705)	+= snd-soc-wm9705.o
obj-$(CONFIG_SND_SOC_WM9712)	+= snd-soc-wm9712.o
obj-$(CONFIG_SND_SOC_WM9713)	+= snd-soc-wm9713.o
obj-$(CONFIG_SND_SOC_WM_HUBS)	+= snd-soc-wm-hubs.o

# Amp
obj-$(CONFIG_SND_SOC_MAX9877)	+= snd-soc-max9877.o
obj-$(CONFIG_SND_SOC_TPA6130A2)	+= snd-soc-tpa6130a2.o
obj-$(CONFIG_SND_SOC_WM2000)	+= snd-soc-wm2000.o
obj-$(CONFIG_SND_SOC_WM9090)	+= snd-soc-wm9090.o

=== sound/soc/samsung/Makefile ===
# S3c24XX Platform Support
snd-soc-s3c24xx-objs := dma.o
snd-soc-s3c24xx-i2s-objs := s3c24xx-i2s.o
snd-soc-s3c2412-i2s-objs := s3c2412-i2s.o
snd-soc-ac97-objs := ac97.o
snd-soc-s3c-i2s-v2-objs := s3c-i2s-v2.o
snd-soc-samsung-spdif-objs := spdif.o
snd-soc-pcm-objs := pcm.o
snd-soc-i2s-objs := i2s.o

obj-$(CONFIG_SND_SOC_SAMSUNG) += snd-soc-s3c24xx.o
obj-$(CONFIG_SND_S3C24XX_I2S) += snd-soc-s3c24xx-i2s.o
obj-$(CONFIG_SND_SAMSUNG_AC97) += snd-soc-ac97.o
obj-$(CONFIG_SND_S3C2412_SOC_I2S) += snd-soc-s3c2412-i2s.o
obj-$(CONFIG_SND_S3C_I2SV2_SOC) += snd-soc-s3c-i2s-v2.o
obj-$(CONFIG_SND_SAMSUNG_SPDIF) += snd-soc-samsung-spdif.o
obj-$(CONFIG_SND_SAMSUNG_PCM) += snd-soc-pcm.o
obj-$(CONFIG_SND_SAMSUNG_I2S) += snd-soc-i2s.o

# S3C24XX Machine Support
snd-soc-jive-wm8750-objs := jive_wm8750.o
snd-soc-neo1973-wm8753-objs := neo1973_wm8753.o
snd-soc-neo1973-gta02-wm8753-objs := neo1973_gta02_wm8753.o
snd-soc-smdk2443-wm9710-objs := smdk2443_wm9710.o
snd-soc-ln2440sbc-alc650-objs := ln2440sbc_alc650.o
snd-soc-s3c24xx-uda134x-objs := s3c24xx_uda134x.o
snd-soc-s3c24xx-simtec-objs := s3c24xx_simtec.o
snd-soc-s3c24xx-simtec-hermes-objs := s3c24xx_simtec_hermes.o
snd-soc-s3c24xx-simtec-tlv320aic23-objs := s3c24xx_simtec_tlv320aic23.o
snd-soc-h1940-uda1380-objs := h1940_uda1380.o
snd-soc-rx1950-uda1380-objs := rx1950_uda1380.o
snd-soc-smdk-wm8580-objs := smdk_wm8580.o
snd-soc-smdk-wm8994-objs := smdk_wm8994.o
snd-soc-smdk-wm9713-objs := smdk_wm9713.o
snd-soc-s3c64xx-smartq-wm8987-objs := smartq_wm8987.o
snd-soc-goni-wm8994-objs := goni_wm8994.o
snd-soc-smdk-spdif-objs := smdk_spdif.o

obj-$(CONFIG_SND_SOC_SAMSUNG_JIVE_WM8750) += snd-soc-jive-wm8750.o
obj-$(CONFIG_SND_SOC_SAMSUNG_NEO1973_WM8753) += snd-soc-neo1973-wm8753.o
obj-$(CONFIG_SND_SOC_SAMSUNG_NEO1973_GTA02_WM8753) += snd-soc-neo1973-gta02-wm8753.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SMDK2443_WM9710) += snd-soc-smdk2443-wm9710.o
obj-$(CONFIG_SND_SOC_SAMSUNG_LN2440SBC_ALC650) += snd-soc-ln2440sbc-alc650.o
obj-$(CONFIG_SND_SOC_SAMSUNG_S3C24XX_UDA134X) += snd-soc-s3c24xx-uda134x.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SIMTEC) += snd-soc-s3c24xx-simtec.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SIMTEC_HERMES) += snd-soc-s3c24xx-simtec-hermes.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SIMTEC_TLV320AIC23) += snd-soc-s3c24xx-simtec-tlv320aic23.o
obj-$(CONFIG_SND_SOC_SAMSUNG_H1940_UDA1380) += snd-soc-h1940-uda1380.o
obj-$(CONFIG_SND_SOC_SAMSUNG_RX1950_UDA1380) += snd-soc-rx1950-uda1380.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SMDK_WM8580) += snd-soc-smdk-wm8580.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SMDK_WM8994) += snd-soc-smdk-wm8994.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SMDK_WM9713) += snd-soc-smdk-wm9713.o
obj-$(CONFIG_SND_SOC_SMARTQ) += snd-soc-s3c64xx-smartq-wm8987.o
obj-$(CONFIG_SND_SOC_SAMSUNG_SMDK_SPDIF) += snd-soc-smdk-spdif.o
obj-$(CONFIG_SND_SOC_GONI_AQUILA_WM8994) += snd-soc-goni-wm8994.o

=== arch/sh/boot/compressed/Makefile ===
#
# linux/arch/sh/boot/compressed/Makefile
#
# create a compressed vmlinux image from the original vmlinux
#

targets		:= vmlinux vmlinux.bin vmlinux.bin.gz \
		   vmlinux.bin.bz2 vmlinux.bin.lzma \
		   vmlinux.bin.xz vmlinux.bin.lzo \
		   head_$(BITS).o misc.o piggy.o

OBJECTS = $(obj)/head_$(BITS).o $(obj)/misc.o $(obj)/cache.o

#
# IMAGE_OFFSET is the load offset of the compression loader
#
ifeq ($(CONFIG_32BIT),y)
IMAGE_OFFSET	:= $(shell /bin/bash -c 'printf "0x%08x" \
		     $$[$(CONFIG_MEMORY_START)  + \
			$(CONFIG_BOOT_LINK_OFFSET)]')
else
IMAGE_OFFSET	:= $(shell /bin/bash -c 'printf "0x%08x" \
		     $$[$(CONFIG_PAGE_OFFSET)  + \
			$(KERNEL_MEMORY) + \
			$(CONFIG_BOOT_LINK_OFFSET)]')
endif

LIBGCC	:= $(shell $(CC) $(KBUILD_CFLAGS) -print-libgcc-file-name)

ifeq ($(CONFIG_MCOUNT),y)
ORIG_CFLAGS := $(KBUILD_CFLAGS)
KBUILD_CFLAGS = $(subst -pg, , $(ORIG_CFLAGS))
endif

LDFLAGS_vmlinux := --oformat $(ld-bfd) -Ttext $(IMAGE_OFFSET) -e startup \
		   -T $(obj)/../../kernel/vmlinux.lds

$(obj)/vmlinux: $(OBJECTS) $(obj)/piggy.o $(LIBGCC) FORCE
	$(call if_changed,ld)
	@:

$(obj)/vmlinux.bin: vmlinux FORCE
	$(call if_changed,objcopy)

vmlinux.bin.all-y := $(obj)/vmlinux.bin

$(obj)/vmlinux.bin.gz: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,gzip)
$(obj)/vmlinux.bin.bz2: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,bzip2)
$(obj)/vmlinux.bin.lzma: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,lzma)
$(obj)/vmlinux.bin.xz: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,xzkern)
$(obj)/vmlinux.bin.lzo: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,lzo)

OBJCOPYFLAGS += -R .empty_zero_page

LDFLAGS_piggy.o := -r --format binary --oformat $(ld-bfd) -T

$(obj)/piggy.o: $(obj)/vmlinux.scr $(obj)/vmlinux.bin.$(suffix-y) FORCE
	$(call if_changed,ld)

## linux-linaro-s5pv310 2.6.37-1003.6

=== debian/changelog ===
linux-linaro-s5pv310 (2.6.37-1003.6) natty; urgency=low

  [ John Rigby ]

  * Rebase to new upstreams:
    linaro-linux-2.6.37-upstream-24Jan2011
    Ubuntu-2.6.37-12.26
       Skipping because of conflicting upstream patches:
         ARM: stack protector: change the canary value per task
         Revert "ARM: stack protector: change the canary value per task"
         UBUNTU: SAUCE: ARM: OMAP: Beagle: support twl gpio differences on xM
  * Add U8500 flavour
  * Rebase to linaro-linux-2.6.37-upstream-27Jan2011
  * Fix Ubuntu upstream version number typo
  * Rebase to linaro-linux-2.6.37-upstream-31Jan2011
  * Rebase to linaro-linux-2.6.37-upstream-08Feb2011
  * Enforce CONFIG_PRINTK_TIME for all flavours
    - LP: #715576
  * Fix package control file to indicate that OMAP4 is supported
    - LP: #714590
  * Enforce CONFIG_PM_DEBUG for all flavours
    - LP: #713075
  * Add s5pv310 flavour
  * enable and enforce CONFIG_BTRFS_FS for all flavours
    - LP: #715835
  * Rebase to linaro-linux-2.6.37-upstream-10Feb2011
    - LP: #707038
  * Add config cleanup and automatic tmp branch creation to mkflavourbranches

 -- John Rigby <john.rigby@linaro.org>  Tue, 08 Feb 2011 19:56:22 -0700

linux-linaro-s5pv310 (2.6.37-1002.5) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams: 
    v2.6.37 final
    Ubuntu-2.6.37-12.26
  * Clean up lintian errors and warnings
    - LP: #697317

 -- John Rigby <john.rigby@linaro.org>  Sat, 08 Jan 2011 18:34:41 -0700

linux-linaro-s5pv310 (2.6.37-1001.4) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 13Dec2010
    revert 2.6.36.1
    merge v2.6.37-rc4
    rebase Ubuntu-2.6.37-8.21 onto the result
  * LINARO: update configs
    enable CONFIG_SWAP, CONFIG_POSIX_MQUEUES, CONFIG_PERF_EVENTS

 -- John Rigby <john.rigby@linaro.org>  Mon, 13 Dec 2010 16:51:19 -0700

linux-linaro-s5pv310 (2.6.37-1000.3) natty; urgency=low

  [ John Rigby ]

  * LINARO: no build-depends-indep for now
  * LINARO: Fix problems with naming of flavour independent debs
  * OMAP4: enable smc instruction in new assembler versions

 -- John Rigby <john.rigby@linaro.org>  Wed, 01 Dec 2010 01:07:18 -0700

linux-linaro-s5pv310 (2.6.37-1000.2) natty; urgency=low

  [ John Rigby ]

  * fix problems with source package per flavour building

 -- John Rigby <john.rigby@linaro.org>  Tue, 30 Nov 2010 01:00:49 -0700

linux-linaro-s5pv310 (2.6.37-1000.1) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 24Nov2010
    minus commits from 2.6.36.1 merge
    merged with upstream v2.6.37-rc3
    plus sauce and packaging from Ubuntu-2.6.37-7.18
    all but three commits applied cleanly
    Fixed:
        UBUNTU: SAUCE: omap: remove calls to usb_nop_xceiv_register from board files
    Dropped:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"
            after merge conflict was resolved the commit ended up being no change
            so the effect was to drop these

 -- John Rigby <john.rigby@linaro.org>  Fri, 26 Nov 2010 14:20:09 -0700

linux-linaro-s5pv310 (2.6.36-1000.1) natty; urgency=low

  [ John Rigby ]

  * First 2.6.36 release based on:
    linux-linaro-2.6.36 snapshot of 16Nov2010
      Note: this is core 2.6.36 plus ARM related from 2.6.37

    Ubuntu 2.6.37-5.13 packaging and sauce
      All Ubuntu patches applied cleanly or cleanly after fixes
      with the following exceptions.  See linaro-dropped.txt for details:

      These are not needed because these already are in linux-linaro-2.6.36:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"

      These were not applied because ...:
        UBUNTU: SAUCE: fix documentation strings for struct input_keymap_entry
          This patch does not seem to patch any code that exists in linux-linaro-2.6.36
          For that matter it doesn't do what the description says even in Ubuntu
        mmap randomization for executable mappings on 32-bit
          Not a trivial merge failure, wait for linux-linaro-2.6.37 for this
        Fix userspace build of linux/fs.h
          patches a section of file that does not exist in 2.6.36
        UBUNTU: ubuntu: AUFS -- track changes to work queue initialisation
          change that makes this patch necessary is not in 2.6.36

    Linaro packaging

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Nov 2010 15:23:03 -0700

linux-linaro-s5pv310 (2.6.35-1008.15) maverick-proposed; urgency=low

  [ Robert Nelson ]

  * SRU: Fix DVI for Beagle xM rev A3
    - LP: #663642

 -- John Rigby <john.rigby@linaro.org>  Thu, 21 Oct 2010 11:01:14 -0600

linux-linaro-s5pv310 (2.6.35-1008.14) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Upstream Stable ]
  * Linux 2.6.35.7

  [ Upstream MMC updates ]

  * mmc: recognize CSD structure
  * mmc: split mmc_sd_init_card()
  * mmc: implement SD-combo (IO+mem) support
  * sdhci: remove useless set_clock() check
  * sdhci: 8-bit data transfer width support
  * sdhci: don't assign mmc->caps at SDHCI directly
  * mmc: only set blockaddressed for > 2GiB cards
  * mmc: omap: fix for bus width which improves SD card's peformance.
  * sdhci-pltfm: switch to module device table matching


=== debian/control ===
Source: linux-linaro-s5pv310
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
#Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git

Package: linux-headers-2.6.37-1003
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
#Provides: linux-linaro-s5pv310-headers, linux-linaro-s5pv310-headers-2.6
Description: Header files related to Linux kernel version 2.6.37
 This package provides kernel header files for version 2.6.37, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-linaro-s5pv310-headers-2.6.37-1003/debian.README.gz for details

Package: linux-linaro-tools-2.6.37-1003
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 2.6.37-1003
 This package provides the architecture dependant parts for kernel
 version locked tools for version 2.6.37-1003 on
 DESC.

Package: linux-image-2.6.37-1003-linaro-s5pv310
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24), debconf | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: uboot-mkimage, flash-kernel
Suggests: fdutils, linux-linaro-s5pv310-doc-2.6.37 | linux-linaro-s5pv310-source-2.6.37, linux-linaro-tools
Description: Linux kernel image for version 2.6.37 on Samsung s5pv310 based platforms
 This package contains the Linux kernel image for version 2.6.37 on
 Samsung s5pv310 based platforms.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Samsung s5pv310 processors.
 .
 Samsung TBD platform
 .
 You likely do not want to install this package directly. Instead, install
 the linux-linaro-s5pv310 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.37-1003-linaro-s5pv310
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-2.6.37-1003, ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.37 on Samsung s5pv310 based platforms
 This package provides kernel header files for version 2.6.37 on
 Samsung s5pv310 based platforms.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-linaro-s5pv310-headers-2.6.37-1003/debian.README.gz
 for details.

Package: linux-image-2.6.37-1003-linaro-s5pv310-dbgsym
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.37 on Samsung s5pv310 based platforms
 This package provides a kernel debug image for version 2.6.37 on
 Samsung s5pv310 based platforms.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
